Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal
Class WindowState

    java.lang.Object
      org.jboss.portal.WindowState

All Implemented Interfaces:
  java.io.Serializable

    public final class WindowState

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 6901 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`static WindowState` | `MAXIMIZED` .
`static WindowState` | `MINIMIZED` .
`static WindowState` | `NORMAL` .

Constructor Summary
`WindowState(java.lang.String name)`

Method Summary
`static WindowState` | `create(java.lang.String name)`
`static WindowState` | `create(java.lang.String name, boolean preserveCase)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final WindowState NORMAL

  .

### MINIMIZED

    public static final WindowState MINIMIZED

  .

### MAXIMIZED

    public static final WindowState MAXIMIZED

  .

Constructor Detail

### WindowState

    public WindowState(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### create

    public static WindowState create(java.lang.String name)

### create

    public static WindowState create(java.lang.String name,
                                     boolean preserveCase)

  Parameters:
    `name` -
    `preserveCase` -
  Returns:
  Since:
    2.4.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.